<!doctype html>
<html>

<head>
	<meta charset="utf-8">
	<title>Documento sin título</title>
	<link href='http://fonts.googleapis.com/css?family=Roboto+Slab' rel='stylesheet' type='text/css'>
	<link href="objetos.css" rel="stylesheet" type="text/css">
	<script src="o3.js"></script>
</head>

<body>
	<div class="cajas entrada">
		<pre>
			class Operaciones {
				constructor(num1, num2) {
					this.num1 = num1;
					this.num2 = num2;
					this._resultado = 0;
				}
			
				sumar() {
					this.resultado = this.num1 + this.num2;
				};
				restar() {
					this.resultado = this.num2 - this.num1;
				};
				producto() {
					this.resultado = this.num2 * this.num1;
				};
				get resultado() {
					return this._resultado + "cm";
				};
				set resultado(valor) {
					this._resultado = isNaN(valor) ? 0 : valor;
				}
			};
			
			const operacion1 = new Operaciones(1, 2);
			operacion1.sumar();
			console.log(operacion1.resultado);
			operacion1.restar();
			console.log(operacion1.resultado); 
		</pre>
	</div>
	<div class="cajas salida">
		<div class="titulo">
			Ejercicio 3
		</div>
		<div class="explicacion">
			Veamos como una clase recibe argumentos a la hora de crearse desde su metodo constructor.
		</div>
	</div>
</body>

</html>